# Integer

Drag an integer type onto the canvas and assign an integer value to it to use it as a variable. Use the SetValue to change the value further below in your Function.

An integer type holds signed 64-bit (8-byte) integers that range in value from -9,223,372,036,854,775,808 through 9,223,372,036,854,775,807. The default value of Integer is 0.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/linx/content/integer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
